package com.ss.android.ugc.aweme.commercialize.media.impl.handler.banner;

import X.0CB;
import X.0CH;
import X.AnonymousClass78Q;
import X.B6C;
import X.M12;
import com.bytedance.covode.number.Covode;

public final class CommerceMusicBannerTargetPageHandler implements B6C {
    static {
        Covode.recordClassIndex(59232);
    }

    public final void LIZ(String str, String str2) {
        AnonymousClass78Q.LIZJ.LIZ(str);
        AnonymousClass78Q.LIZJ.LIZIZ(str2);
    }

    public final void onStateChanged(0CH r3, 0CB r4) {
        M12.LIZ(r3, r4);
        if (r4 == 0CB.ON_DESTROY) {
            AnonymousClass78Q.LIZJ.LIZ((String) null);
            AnonymousClass78Q.LIZJ.LIZIZ((String) null);
        }
    }
}
